<div>
  <h2 id="page-heading" data-cy="CabangHeading">
    <span>Cabangs</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-cabang"
        [routerLink]="['/cabang/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Cabang</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (cabangs?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Cabangs found</span>
    </div>
  }

  @if (cabangs && cabangs.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kode">
              <div class="d-flex">
                <span>Kode</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nama">
              <div class="d-flex">
                <span>Nama</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="alamat">
              <div class="d-flex">
                <span>Alamat</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kota">
              <div class="d-flex">
                <span>Kota</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="provinsi">
              <div class="d-flex">
                <span>Provinsi</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pengadilanNegeri">
              <div class="d-flex">
                <span>Pengadilan Negeri</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noKontak">
              <div class="d-flex">
                <span>No Kontak</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="recordStatus">
              <div class="d-flex">
                <span>Record Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateBy">
              <div class="d-flex">
                <span>Update By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateOn">
              <div class="d-flex">
                <span>Update On</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="startDate">
              <div class="d-flex">
                <span>Start Date</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="leasing.id">
              <div class="d-flex">
                <span>Leasing</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (cabang of cabangs; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/cabang', cabang.id, 'view']">{{ cabang.id }}</a>
              </td>
              <td>{{ cabang.kode }}</td>
              <td>{{ cabang.nama }}</td>
              <td>{{ cabang.alamat }}</td>
              <td>{{ cabang.kota }}</td>
              <td>{{ cabang.provinsi }}</td>
              <td>{{ cabang.pengadilanNegeri }}</td>
              <td>{{ cabang.noKontak }}</td>
              <td>{{ cabang.recordStatus }}</td>
              <td>{{ cabang.updateBy }}</td>
              <td>{{ cabang.updateOn | formatMediumDatetime }}</td>
              <td>{{ cabang.startDate | formatMediumDate }}</td>
              <td>
                @if (cabang.leasing) {
                  <div>
                    <a [routerLink]="['/leasing', cabang.leasing.id, 'view']">{{ cabang.leasing.id }}</a>
                  </div>
                }
              </td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/cabang', cabang.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/cabang', cabang.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(cabang)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (cabangs && cabangs.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
